DROP VIEW V_USER_RIGHTS
;

CREATE OR REPLACE VIEW V_USER_RIGHTS  AS 
SELECT CONCAT('D_',CONCAT(D.NUSER,CONCAT(R.NDEPARTMENT, R.PRAVICA))) AS ID, R.NDEPARTMENT, D.NUSER, R.PRAVICA, N.KOMENTAR AS OPIS, N.INTERNI_OPIS, P.OPIS AS NDEPARTMENT_OPIS
FROM DEPARTMENT_RIGHTS R JOIN NRIGHTS N ON R.PRAVICA=N.PRAVICA
JOIN NUSERDEP D ON R.NDEPARTMENT=D.NDEPARTMENT
JOIN NDEPARTMENT P ON R.NDEPARTMENT=P.SIFRA
union all
SELECT CONCAT('U_',CONCAT(R.NUSER, R.PRAVICA)) AS ID, NULL AS NDEPARTMENT, R.NUSER, R.PRAVICA, N.KOMENTAR AS OPIS, N.INTERNI_OPIS, NULL AS NDEPARTMENT_OPIS
FROM RIGHTS R JOIN NRIGHTS N ON R.PRAVICA=N.PRAVICA
;

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (1931, SYSDATE, '5.5', 1851, 'V_USER_RIGHTS')
;
