CREATE OR REPLACE VIEW V_KUPCI AS (
  SELECT CONCAT(K.ID, '-INTERNI_OPIS') AS V_KUPCI_ID, K.*, NNTIT.INTERNI_OPIS AS NNTITLE_DESC, NNDRZ.INTERNI_OPIS AS NNDRZAVA_DESC, NNDOK.INTERNI_OPIS AS VRSTA_DOKUMENTA_DESC, NNVRS.INTERNI_OPIS AS VRSTA_DESC, 
  NNDRZDR.INTERNI_OPIS AS DRZAVA_ROJSTVA_DESC, NNDRZCI.INTERNI_OPIS AS CITIZENSHIP_DESC, NNMAR.INTERNI_OPIS AS MARITAL_STATUS_DESC, 'INTERNI_OPIS' AS SIF_LANG
  FROM KUPCI K
  LEFT OUTER JOIN NNTITLE NNTIT ON K.NTITLE = NNTIT.SIFRA
  LEFT OUTER JOIN NNDRZAVE NNDRZ ON K.NDRZAVA = NNDRZ.SIFRA
  LEFT OUTER JOIN NNDOKUME NNDOK ON K.VRSTA_DOKUMENTA = NNDOK.SIFRA
  LEFT OUTER JOIN NNVRSKUP NNVRS ON K.VRSTA = NNVRS.SIFRA
  LEFT OUTER JOIN NNDRZAVE NNDRZDR ON K.DRZAVA_ROJSTVA = NNDRZDR.SIFRA
  LEFT OUTER JOIN NNDRZAVE NNDRZCI ON K.CITIZENSHIP = NNDRZCI.SIFRA
  LEFT OUTER JOIN NNMARSTAT NNMAR ON K.MARITAL_STATUS = NNMAR.SIFRA
  UNION ALL
  SELECT CONCAT(K.ID, '-OPIS') AS V_KUPCI_ID, K.*, NNTIT.OPIS AS NNTITLE_DESC, NNDRZ.OPIS AS NNDRZAVA_DESC, NNDOK.OPIS AS VRSTA_DOKUMENTA_DESC, NNVRS.OPIS AS VRSTA_DESC, 
  NNDRZDR.OPIS AS DRZAVA_ROJSTVA_DESC, NNDRZCI.OPIS AS CITIZENSHIP_DESC, NNMAR.OPIS AS MARITAL_STATUS_DESC, 'OPIS' AS SIF_LANG
  FROM KUPCI K
  LEFT OUTER JOIN NNTITLE NNTIT ON K.NTITLE = NNTIT.SIFRA
  LEFT OUTER JOIN NNDRZAVE NNDRZ ON K.NDRZAVA = NNDRZ.SIFRA
  LEFT OUTER JOIN NNDOKUME NNDOK ON K.VRSTA_DOKUMENTA = NNDOK.SIFRA
  LEFT OUTER JOIN NNVRSKUP NNVRS ON K.VRSTA = NNVRS.SIFRA
  LEFT OUTER JOIN NNDRZAVE NNDRZDR ON K.DRZAVA_ROJSTVA = NNDRZDR.SIFRA
  LEFT OUTER JOIN NNDRZAVE NNDRZCI ON K.CITIZENSHIP = NNDRZCI.SIFRA
  LEFT OUTER JOIN NNMARSTAT NNMAR ON K.MARITAL_STATUS = NNMAR.SIFRA
);

INSERT INTO NNATRIBUTI VALUES ( 'PRS', 'Can be proposer/seconder', 'Can be proposer/seconder', 'BOOLEAN', 'Y');

ALTER TABLE APPLICATION_FORM
DROP COLUMN HKID;

ALTER TABLE APPLICATION_FORM
DROP COLUMN LIVE_ON_BOAT;

ALTER TABLE APPLICATION_FORM 
ADD (
	DATE_STATUS_CHANGED DATE
);

ALTER TABLE APPLICATION_FORM 
ADD (
	OTHER_YC VARCHAR2(1 CHAR)
);

ALTER TABLE APPLICATION_FORM 
ADD (
	ANOTHER_BOAT_CLUB_NAME VARCHAR2(50 CHAR)
);

ALTER TABLE APPLICATION_FORM 
ADD (
	OTHER_HKYC_CLUB_NAME VARCHAR2(50 CHAR)
);

ALTER TABLE APPLICATION_FORM 
ADD (
	CLUB_COMITEE_NAME VARCHAR2(50 CHAR)
);

CREATE TABLE NNCLUB (
	SIFRA VARCHAR2(3 CHAR) NOT NULL,
	OPIS VARCHAR2(100 CHAR),
	INTERNI_OPIS VARCHAR2(100 CHAR),
	AKT VARCHAR2 (1 CHAR),
	CONSTRAINT NNCLUB_PK PRIMARY KEY (SIFRA)
);


CREATE TABLE MEMB_CLUB (
	ID NUMBER NOT NULL,
	ID_KUPCA NUMBER,
	SIFRA_KLUBA VARCHAR2(3 CHAR),
	AKT VARCHAR2 (1 CHAR),
	CONSTRAINT MEMB_CLUB_PK PRIMARY KEY (ID)
);

CREATE SEQUENCE MEMB_CLUB_ID_SEQ 
MINVALUE 1 MAXVALUE 9999999999999999999999999999 INCREMENT BY 1 START WITH 1 NOCACHE NOORDER  NOCYCLE;

insert into verzije_baza (id, dt_vpis, verzija, ver_nr, opis) 
values 
(450, SYSDATE, '5.5', 370, 'Membership');