CREATE OR REPLACE VIEW V_KUPCI AS (
	SELECT K.ID, K.ID_MEMBER, K.IME, K.PRIIMEK, K.MESTO, K.NASLOV, K.POSTA, K.TELEFON_1, K.EMAIL, K.YACHT_CLUB_ID, K.TELEX, K.VRSTA, K.NDRZAVA,
	NNTIT.INTERNI_OPIS AS NNTITLE_DESC, NNDRZ.INTERNI_OPIS AS NNDRZAVA_DESC, NNDOK.INTERNI_OPIS AS VRSTA_DOKUMENTA_DESC, NNVRS.INTERNI_OPIS AS VRSTA_DESC,
	NNDRZDR.INTERNI_OPIS AS DRZAVA_ROJSTVA_DESC, NNDRZCI.INTERNI_OPIS AS CITIZENSHIP_DESC, NNMAR.INTERNI_OPIS AS MARITAL_STATUS_DESC
	FROM KUPCI K
	LEFT OUTER JOIN NNTITLE NNTIT ON K.NTITLE = NNTIT.SIFRA
	LEFT OUTER JOIN NNDRZAVE NNDRZ ON K.NDRZAVA = NNDRZ.SIFRA
	LEFT OUTER JOIN NNDOKUME NNDOK ON K.VRSTA_DOKUMENTA = NNDOK.SIFRA
	LEFT OUTER JOIN NNVRSKUP NNVRS ON K.VRSTA = NNVRS.SIFRA
	LEFT OUTER JOIN NNDRZAVE NNDRZDR ON K.DRZAVA_ROJSTVA = NNDRZDR.SIFRA
	LEFT OUTER JOIN NNDRZAVE NNDRZCI ON K.CITIZENSHIP = NNDRZCI.SIFRA
	LEFT OUTER JOIN NNMARSTAT NNMAR ON K.MARITAL_STATUS = NNMAR.SIFRA
);

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (950, SYSDATE, '5.5', 870, 'VKupci');