ALTER TABLE IMPORT_LINKS
ADD ID_IMPORT_LINKS NUMBER
;

CREATE SEQUENCE IMPORT_LINKS_SEQ MINVALUE 1 INCREMENT BY 1 START WITH 1 NOCACHE NOORDER  NOCYCLE
;

UPDATE IMPORT_LINKS
SET ID_IMPORT_LINKS=IMPORT_LINKS_SEQ.NEXTVAL
WHERE ID_IMPORT_LINKS IS NULL
;

ALTER TABLE IMPORT_LINKS
MODIFY ID_IMPORT_LINKS NUMBER NOT NULL
;

ALTER TABLE IMPORT_LINKS
ADD CONSTRAINT IMPORT_LINKS_PK PRIMARY KEY (ID_IMPORT_LINKS)
;

CREATE UNIQUE INDEX IMPORT_LINKSIX1 ON IMPORT_LINKS(TABLE_NAME, INT_KEY)
;

ALTER TABLE IMPORT_LINKS
ADD EXT_GUID_LINK VARCHAR2(250 CHAR)
;

ALTER TABLE IMPORT_LINKS
ADD INT_ID NUMBER
;

CREATE INDEX IMPORT_LINKSIX2 ON IMPORT_LINKS(TABLE_NAME, INT_ID)
;

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (1506, SYSDATE, '5.5', 1426, 'Import links')
;